New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Problems Using phantom-js #55

Closed
dkl3 opened this Issue Dec 5, 2015 · 6 comments

Comments

Projects
None yet
2 participants
@dkl3

dkl3 commented Dec 5, 2015

Hi, I have a problem with using phantomjs with grabsite. I'll give you the output of me trying to use phantomjs with grab-site. Refer to Pastebin link:

http://pastebin.com/4SAqBn72

Someone help please? Thanks.

@ivan

This comment has been minimized.

Show comment
Hide comment
@ivan

ivan Dec 5, 2015

Member

Please try

grab-site http://oldgamemags.tumblr.com/ --concurrency 3 --wpull-args="--phantomjs --phantomjs-scroll 0"
Member

ivan commented Dec 5, 2015

Please try

grab-site http://oldgamemags.tumblr.com/ --concurrency 3 --wpull-args="--phantomjs --phantomjs-scroll 0"
@dkl3

This comment has been minimized.

Show comment
Hide comment
@dkl3

dkl3 commented Dec 5, 2015

http://pastebin.com/DBbnTh26 - I get this error

@ivan

This comment has been minimized.

Show comment
Hide comment
@ivan

ivan Dec 5, 2015

Member
cd ~/
wget https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-1.9.8-linux-x86_64.tar.bz2
tar -xf phantomjs-1.9.8-linux-x86_64.tar.bz2
~/.local/bin/grab-site http://oldgamemags.tumblr.com/ --concurrency 3 --wpull-args="--phantomjs --phantomjs-scroll 0 --phantomjs-exe=$HOME/phantomjs-1.9.8-linux-x86_64/bin/phantomjs"

(alternatively, set PATH to include that phantomjs bin/ directory)

If you're not on an x64 Linux, grab the right phantomjs 1.9.8 from https://bitbucket.org/ariya/phantomjs/downloads

Member

ivan commented Dec 5, 2015

cd ~/
wget https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-1.9.8-linux-x86_64.tar.bz2
tar -xf phantomjs-1.9.8-linux-x86_64.tar.bz2
~/.local/bin/grab-site http://oldgamemags.tumblr.com/ --concurrency 3 --wpull-args="--phantomjs --phantomjs-scroll 0 --phantomjs-exe=$HOME/phantomjs-1.9.8-linux-x86_64/bin/phantomjs"

(alternatively, set PATH to include that phantomjs bin/ directory)

If you're not on an x64 Linux, grab the right phantomjs 1.9.8 from https://bitbucket.org/ariya/phantomjs/downloads

@ivan

This comment has been minimized.

Show comment
Hide comment
@ivan

ivan Dec 5, 2015

Member

Note that these tumblrs can be crawled completely without phantomjs (afaik); note how http://oldgamemags.tumblr.com/archive does link to everything, it's just got page styling hiding the content.

Member

ivan commented Dec 5, 2015

Note that these tumblrs can be crawled completely without phantomjs (afaik); note how http://oldgamemags.tumblr.com/archive does link to everything, it's just got page styling hiding the content.

@dkl3

This comment has been minimized.

Show comment
Hide comment
@dkl3

dkl3 Dec 5, 2015

Oh, sorry, I didn't know that.

dkl3 commented Dec 5, 2015

Oh, sorry, I didn't know that.

@dkl3

This comment has been minimized.

Show comment
Hide comment
@dkl3

dkl3 Dec 5, 2015

But thanks for the help, it worked. :)

dkl3 commented Dec 5, 2015

But thanks for the help, it worked. :)

@ivan ivan closed this Dec 5, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment